## com.trilead.ssh2.transport
Class NegotiatedParameters

    java.lang.Object
      com.trilead.ssh2.transport.NegotiatedParameters

    public class NegotiatedParameters

extends java.lang.Object

NegotiatedParameters.

Field Summary
`java.lang.String` `comp_algo_client_to_server`
`java.lang.String` `comp_algo_server_to_client`
`java.lang.String` `enc_algo_client_to_server`
`java.lang.String` `enc_algo_server_to_client`
`boolean` `guessOK`
`java.lang.String` `kex_algo`
`java.lang.String` `lang_client_to_server`
`java.lang.String` `lang_server_to_client`
`java.lang.String` `mac_algo_client_to_server`
`java.lang.String` `mac_algo_server_to_client`
`java.lang.String` `server_host_key_algo`

Constructor Summary
`NegotiatedParameters()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### guessOK

    public boolean guessOK

### kex_algo

    public java.lang.String kex_algo

### server_host_key_algo

    public java.lang.String server_host_key_algo

### enc_algo_client_to_server

    public java.lang.String enc_algo_client_to_server

### enc_algo_server_to_client

    public java.lang.String enc_algo_server_to_client

### mac_algo_client_to_server

    public java.lang.String mac_algo_client_to_server

### mac_algo_server_to_client

    public java.lang.String mac_algo_server_to_client

### comp_algo_client_to_server

    public java.lang.String comp_algo_client_to_server

### comp_algo_server_to_client

    public java.lang.String comp_algo_server_to_client

### lang_client_to_server

    public java.lang.String lang_client_to_server

### lang_server_to_client

    public java.lang.String lang_server_to_client

Constructor Detail

### NegotiatedParameters

    public NegotiatedParameters()